/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice;

import java.util.*;
import org.apache.commons.lang.enum.*;

public final class UserSearchField extends Enum
{
  /*--------------------------------------------------------------------------------
   * The actual enumeration values
   *--------------------------------------------------------------------------------
   */

  public static final UserSearchField USERNAME    = new UserSearchField("USERNAME");
  public static final UserSearchField DESCRIPTION = new UserSearchField("DESCRIPTION");
  public static final UserSearchField FIRSTNAME   = new UserSearchField("FIRSTNAME");
  public static final UserSearchField LASTNAME    = new UserSearchField("LASTNAME");

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  private UserSearchField(String name)
  {
    super(name);

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Standard static method implementations
   *--------------------------------------------------------------------------------
   */

  public static UserSearchField getEnum(String name)
  {
    return (UserSearchField)getEnum(UserSearchField.class,name);

  } // end getEnum

  public static Map getEnumMap()
  {
    return getEnumMap(UserSearchField.class);

  } // end getEnumMap

  public static List getEnumList()
  {
    return getEnumList(UserSearchField.class);

  } // end getEnumList

  public static Iterator iterator()
  {
    return iterator(UserSearchField.class);

  } // end iterator

} // end class UserSearchField
